Bug 13264 - Update request: kernel-3.12.18-1.mga4
: Update request: kernel-3.12.18-1.mga4
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 4
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
: Sec team
:
: advisory mga4-32-ok mga4-64-ok
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2014-04-24 20:18 CEST by Thomas Backlund
Modified: 2014-05-12 10:25 CEST (History)
7 users (show)

See Also:
Source RPM: kernel-3.12.18-1.mga4.src.rpm
CVE:


Attachments

Description Thomas Backlund 2014-04-24 20:18:28 CEST
SRPMS:
kernel-3.12.18-1.mga4.src.rpm
kernel-userspace-headers-3.12.18-1.mga4.src.rpm
kmod-vboxadditions-4.3.10-2.mga4.src.rpm
kmod-virtualbox-4.3.10-2.mga4.src.rpm
kmod-xtables-addons-2.3-44.mga4.src.rpm

kmod-broadcom-wl-6.30.223.141-28.mga4.nonfree.src.rpm
kmod-fglrx-13.251-13.mga4.nonfree.src.rpm
kmod-nvidia173-173.14.39-14.mga4.nonfree.src.rpm
kmod-nvidia304-304.119-6.mga4.nonfree.src.rpm
kmod-nvidia-current-331.49-3.mga4.nonfree.src.rpm


i586:
cpupower-3.12.18-1.mga4.i586.rpm
cpupower-devel-3.12.18-1.mga4.i586.rpm
kernel-desktop-3.12.18-1.mga4-1-1.mga4.i586.rpm
kernel-desktop586-3.12.18-1.mga4-1-1.mga4.i586.rpm
kernel-desktop586-devel-3.12.18-1.mga4-1-1.mga4.i586.rpm
kernel-desktop586-devel-latest-3.12.18-1.mga4.i586.rpm
kernel-desktop586-latest-3.12.18-1.mga4.i586.rpm
kernel-desktop-devel-3.12.18-1.mga4-1-1.mga4.i586.rpm
kernel-desktop-devel-latest-3.12.18-1.mga4.i586.rpm
kernel-desktop-latest-3.12.18-1.mga4.i586.rpm
kernel-doc-3.12.18-1.mga4.noarch.rpm
kernel-server-3.12.18-1.mga4-1-1.mga4.i586.rpm
kernel-server-devel-3.12.18-1.mga4-1-1.mga4.i586.rpm
kernel-server-devel-latest-3.12.18-1.mga4.i586.rpm
kernel-server-latest-3.12.18-1.mga4.i586.rpm
kernel-source-3.12.18-1.mga4-1-1.mga4.noarch.rpm
kernel-source-latest-3.12.18-1.mga4.noarch.rpm
kernel-userspace-headers-3.12.18-1.mga4.i586.rpm
perf-3.12.18-1.mga4.i586.rpm

vboxadditions-kernel-3.12.18-desktop-1.mga4-4.3.10-2.mga4.i586.rpm
vboxadditions-kernel-3.12.18-desktop586-1.mga4-4.3.10-2.mga4.i586.rpm
vboxadditions-kernel-3.12.18-server-1.mga4-4.3.10-2.mga4.i586.rpm
vboxadditions-kernel-desktop586-latest-4.3.10-2.mga4.i586.rpm
vboxadditions-kernel-desktop-latest-4.3.10-2.mga4.i586.rpm
vboxadditions-kernel-server-latest-4.3.10-2.mga4.i586.rpm

virtualbox-kernel-3.12.18-desktop-1.mga4-4.3.10-2.mga4.i586.rpm
virtualbox-kernel-3.12.18-desktop586-1.mga4-4.3.10-2.mga4.i586.rpm
virtualbox-kernel-3.12.18-server-1.mga4-4.3.10-2.mga4.i586.rpm
virtualbox-kernel-desktop586-latest-4.3.10-2.mga4.i586.rpm
virtualbox-kernel-desktop-latest-4.3.10-2.mga4.i586.rpm
virtualbox-kernel-server-latest-4.3.10-2.mga4.i586.rpm

xtables-addons-kernel-3.12.18-desktop-1.mga4-2.3-44.mga4.i586.rpm
xtables-addons-kernel-3.12.18-desktop586-1.mga4-2.3-44.mga4.i586.rpm
xtables-addons-kernel-3.12.18-server-1.mga4-2.3-44.mga4.i586.rpm
xtables-addons-kernel-desktop586-latest-2.3-44.mga4.i586.rpm
xtables-addons-kernel-desktop-latest-2.3-44.mga4.i586.rpm
xtables-addons-kernel-server-latest-2.3-44.mga4.i586.rpm

broadcom-wl-kernel-3.12.18-desktop-1.mga4-6.30.223.141-28.mga4.nonfree.i586.rpm
broadcom-wl-kernel-3.12.18-desktop586-1.mga4-6.30.223.141-28.mga4.nonfree.i586.rpm
broadcom-wl-kernel-3.12.18-server-1.mga4-6.30.223.141-28.mga4.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-6.30.223.141-28.mga4.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-28.mga4.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-28.mga4.nonfree.i586.rpm

fglrx-kernel-3.12.18-desktop-1.mga4-13.251-13.mga4.nonfree.i586.rpm
fglrx-kernel-3.12.18-desktop586-1.mga4-13.251-13.mga4.nonfree.i586.rpm
fglrx-kernel-3.12.18-server-1.mga4-13.251-13.mga4.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-13.251-13.mga4.nonfree.i586.rpm
fglrx-kernel-desktop-latest-13.251-13.mga4.nonfree.i586.rpm
fglrx-kernel-server-latest-13.251-13.mga4.nonfree.i586.rpm

nvidia173-kernel-3.12.18-desktop-1.mga4-173.14.39-14.mga4.nonfree.i586.rpm
nvidia173-kernel-3.12.18-desktop586-1.mga4-173.14.39-14.mga4.nonfree.i586.rpm
nvidia173-kernel-3.12.18-server-1.mga4-173.14.39-14.mga4.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.39-14.mga4.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.39-14.mga4.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.39-14.mga4.nonfree.i586.rpm

nvidia304-kernel-3.12.18-desktop-1.mga4-304.119-6.mga4.nonfree.i586.rpm
nvidia304-kernel-3.12.18-desktop586-1.mga4-304.119-6.mga4.nonfree.i586.rpm
nvidia304-kernel-3.12.18-server-1.mga4-304.119-6.mga4.nonfree.i586.rpm
nvidia304-kernel-desktop586-latest-304.119-6.mga4.nonfree.i586.rpm
nvidia304-kernel-desktop-latest-304.119-6.mga4.nonfree.i586.rpm
nvidia304-kernel-server-latest-304.119-6.mga4.nonfree.i586.rpm

nvidia-current-kernel-3.12.18-desktop-1.mga4-331.49-3.mga4.nonfree.i586.rpm
nvidia-current-kernel-3.12.18-desktop586-1.mga4-331.49-3.mga4.nonfree.i586.rpm
nvidia-current-kernel-3.12.18-server-1.mga4-331.49-3.mga4.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-331.49-3.mga4.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-331.49-3.mga4.nonfree.i586.rpm
nvidia-current-kernel-server-latest-331.49-3.mga4.nonfree.i586.rpm



x86_64:
cpupower-3.12.18-1.mga4.x86_64.rpm
cpupower-devel-3.12.18-1.mga4.x86_64.rpm
kernel-desktop-3.12.18-1.mga4-1-1.mga4.x86_64.rpm
kernel-desktop-devel-3.12.18-1.mga4-1-1.mga4.x86_64.rpm
kernel-desktop-devel-latest-3.12.18-1.mga4.x86_64.rpm
kernel-desktop-latest-3.12.18-1.mga4.x86_64.rpm
kernel-doc-3.12.18-1.mga4.noarch.rpm
kernel-server-3.12.18-1.mga4-1-1.mga4.x86_64.rpm
kernel-server-devel-3.12.18-1.mga4-1-1.mga4.x86_64.rpm
kernel-server-devel-latest-3.12.18-1.mga4.x86_64.rpm
kernel-server-latest-3.12.18-1.mga4.x86_64.rpm
kernel-source-3.12.18-1.mga4-1-1.mga4.noarch.rpm
kernel-source-latest-3.12.18-1.mga4.noarch.rpm
kernel-userspace-headers-3.12.18-1.mga4.x86_64.rpm
perf-3.12.18-1.mga4.x86_64.rpm

vboxadditions-kernel-3.12.18-desktop-1.mga4-4.3.10-2.mga4.x86_64.rpm
vboxadditions-kernel-3.12.18-server-1.mga4-4.3.10-2.mga4.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.3.10-2.mga4.x86_64.rpm
vboxadditions-kernel-server-latest-4.3.10-2.mga4.x86_64.rpm

virtualbox-kernel-3.12.18-desktop-1.mga4-4.3.10-2.mga4.x86_64.rpm
virtualbox-kernel-3.12.18-server-1.mga4-4.3.10-2.mga4.x86_64.rpm
virtualbox-kernel-desktop-latest-4.3.10-2.mga4.x86_64.rpm
virtualbox-kernel-server-latest-4.3.10-2.mga4.x86_64.rpm

xtables-addons-kernel-3.12.18-desktop-1.mga4-2.3-44.mga4.x86_64.rpm
xtables-addons-kernel-3.12.18-server-1.mga4-2.3-44.mga4.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.3-44.mga4.x86_64.rpm
xtables-addons-kernel-server-latest-2.3-44.mga4.x86_64.rpm

broadcom-wl-kernel-3.12.18-desktop-1.mga4-6.30.223.141-28.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-3.12.18-server-1.mga4-6.30.223.141-28.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-28.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-28.mga4.nonfree.x86_64.rpm

fglrx-kernel-3.12.18-desktop-1.mga4-13.251-13.mga4.nonfree.x86_64.rpm
fglrx-kernel-3.12.18-server-1.mga4-13.251-13.mga4.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-13.251-13.mga4.nonfree.x86_64.rpm
fglrx-kernel-server-latest-13.251-13.mga4.nonfree.x86_64.rpm

nvidia173-kernel-3.12.18-desktop-1.mga4-173.14.39-14.mga4.nonfree.x86_64.rpm
nvidia173-kernel-3.12.18-server-1.mga4-173.14.39-14.mga4.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.39-14.mga4.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.39-14.mga4.nonfree.x86_64.rpm

nvidia304-kernel-3.12.18-desktop-1.mga4-304.119-6.mga4.nonfree.x86_64.rpm
nvidia304-kernel-3.12.18-server-1.mga4-304.119-6.mga4.nonfree.x86_64.rpm
nvidia304-kernel-desktop-latest-304.119-6.mga4.nonfree.x86_64.rpm
nvidia304-kernel-server-latest-304.119-6.mga4.nonfree.x86_64.rpm

nvidia-current-kernel-3.12.18-desktop-1.mga4-331.49-3.mga4.nonfree.x86_64.rpm
nvidia-current-kernel-3.12.18-server-1.mga4-331.49-3.mga4.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-331.49-3.mga4.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-331.49-3.mga4.nonfree.x86_64.rpm



Reproducible: 

Steps to Reproduce:
Comment 1 Thomas Backlund 2014-04-24 20:40:44 CEST
Advisory:
Updated kernel provides upstream 3.12.18 kernel and fixes the following
security issues:

Buffer overflow in the complete_emulated_mmio function in arch/x86/kvm/
x86.c in the Linux kernel before 3.13.6 allows guest OS users to execute
arbitrary code on the host OS by leveraging a loop that triggers an
invalid memory copy affecting certain cancel_work_item data. 
(CVE-2014-0049)

The get_rx_bufs function in drivers/vhost/net.c in the vhost-net subsystem
in the Linux kernel package before 2.6.32-431.11.2 on Red Hat Enterprise
Linux (RHEL) 6 does not properly handle vhost_get_vq_desc errors, which
allows guest OS users to cause a denial of service (host OS crash) via
unspecified vectors. (CVE-2014-0055)

The cifs_iovec_write function in fs/cifs/file.c in the Linux kernel through
3.13.5 does not properly handle uncached write operations that copy fewer
than the requested number of bytes, which allows local users to obtain
sensitive information from kernel memory, cause a denial of service
(memory corruption and system crash), or possibly gain privileges via a
writev system call with a crafted pointer. (CVE-2014-0069)

drivers/vhost/net.c in the Linux kernel before 3.13.10, when mergeable
buffers are disabled, does not properly validate packet lengths, which
allows guest OS users to cause a denial of service (memory corruption and
host OS crash) or possibly gain privileges on the host OS via crafted
packets, related to the handle_rx and get_rx_bufs functions. 
(CVE-2014-0077)

Integer overflow in the ping_init_sock function in net/ipv4/ping.c in the
Linux kernel through 3.14.1 allows local users to cause a denial of service
(use-after-free and system crash) or possibly gain privileges via a crafted
application that leverages an improperly managed reference counter.
(CVE-2014-2851)

Oter fixes in this update:
- switch hugepages back to madvise to fix performance regression (mga#12994)
- enable Intel P-state driver (mga#13080)
- fix r8169 suspend/resume issue (mga#13255)

For upstream merged fixes, read the referenced changelogs:

References:
https://bugs.mageia.org/show_bug.cgi?id=12994
https://bugs.mageia.org/show_bug.cgi?id=13080
https://bugs.mageia.org/show_bug.cgi?id=13255
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.18
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.17
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.16
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.15
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.14
Comment 2 William Kenney 2014-04-26 19:10:18 CEST
In VirtualBox, M4, KDE, 32-bit

Package(s) under test:
kernel-desktop

default install of kernel-desktop

[root@localhost wilcal]# urpmi kernel-desktop
Package kernel-desktop-3.12.13-2.mga4-1-1.mga4.i586 is already installed

kernel-desktop boots to a working desktop and applications work fine

install package from updates_testing

[root@localhost wilcal]# urpmi kernel-desktop
Package kernel-desktop-3.12.18-1.mga4-1-1.mga4.i586 is already installed

kernel-desktop boots to a working desktop and applications work fine

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Mageia 4 64-bit, Nvidia driver
VirtualBox 4.3.6-1.mga4.x86_64.rpm
Comment 3 William Kenney 2014-04-26 20:26:51 CEST
In VirtualBox, M4, KDE, 64-bit

Package(s) under test:
kernel-desktop

default install of kernel-desktop

[root@localhost wilcal]# urpmi kernel-desktop
Package kernel-desktop-3.12.13-2.mga4-1-1.mga4.x86_64 is already installed

kernel-desktop boots to a working desktop and applications work fine

install package from updates_testing

[root@localhost wilcal]# urpmi kernel-desktop
Package kernel-desktop-3.12.18-1.mga4-1-1.mga4.x86_64 is already installed

kernel-desktop boots to a working desktop and applications work fine

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Mageia 4 64-bit, Nvidia driver
VirtualBox 4.3.6-1.mga4.x86_64.rpm
Comment 4 William Kenney 2014-04-26 22:52:18 CEST
On real hardware, M4, KDE, 64-bit

Package(s) under test:
kernel-desktop

default install of kernel-desktop

[root@localhost wilcal]# urpmi kernel-desktop
Package kernel-desktop-3.12.13-2.mga4-1-1.mga4.x86_64 is already installed

kernel-desktop boots to a working desktop and applications work fine

install package from updates_testing

[wilcal@localhost ~]$ uname -a
Linux localhost 3.12.18-desktop-1.mga4 #1 SMP Thu Apr 24 13:10:59 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

kernel-desktop boots to a working desktop and applications work fine

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB  ( Nvidea driver )
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Mageia 4 64-bit, Nvidia driver
VirtualBox 4.3.6-1.mga4.x86_64.rpm
Comment 5 David GEIGER 2014-04-27 08:53:19 CEST
Tested mga4_64,

Testing complete for kernel-desktop-3.12.18-1.mga4-1-1.mga4, Ok for me and nothing to report, any regression found.

Tested on a real hardware (Laptop ASUS K73S with Optimus Technology):

cpupower-3.12.18-1.mga4.x86_64.rpm
kernel-desktop-3.12.18-1.mga4-1-1.mga4.x86_64.rpm
kernel-desktop-devel-3.12.18-1.mga4-1-1.mga4.x86_64.rpm
kernel-desktop-devel-latest-3.12.18-1.mga4.x86_64.rpm
kernel-desktop-latest-3.12.18-1.mga4.x86_64.rpm
kernel-doc-3.12.18-1.mga4.noarch.rpm
kernel-userspace-headers-3.12.18-1.mga4.x86_64.rpm

vboxadditions-kernel-3.12.18-desktop-1.mga4-4.3.10-2.mga4.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.3.10-2.mga4.x86_64.rpm

virtualbox-kernel-3.12.18-desktop-1.mga4-4.3.10-2.mga4.x86_64.rpm
virtualbox-kernel-desktop-latest-4.3.10-2.mga4.x86_64.rpm

nvidia-current-kernel-3.12.18-desktop-1.mga4-331.49-3.mga4.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-331.49-3.mga4.nonfree.x86_64.rpm
Comment 6 William Kenney 2014-04-27 18:35:37 CEST
On real hardware, M4, KDE, 32-bit

Package(s) under test:
kernel-desktop

default install of kernel-desktop

[root@localhost wilcal]# uname -a
Linux localhost 3.12.13-desktop586-2.mga4 #1 SMP Sat Feb 22 23:57:07 UTC 2014 i686 i686 i686 GNU/Linux

kernel-desktop boots to a working desktop and applications work fine

install package from updates_testing

[root@localhost wilcal]# uname -a
Linux localhost 3.12.18-desktop586-1.mga4 #1 SMP Thu Apr 24 12:53:50 UTC 2014 i686 i686 i686 GNU/Linux

kernel-desktop boots to a working desktop and applications work fine

Test platform:
Intel, P4 530J 3.0 GHz, 800MHz FSB, 1MB L2, LGA 775
GigaByte  GA-81915G Pro F4  i915G  LGA 775  MoBo
 Marvel Yukon 88E8001 Gigabit LAN
 Intel High Def Audio, Azalia (C-Media 9880) (snd-hda-intel)
 Intel Graphics Media Accelerator 900 (Intel 82915G)
Kingston 4GB (2 x 2GB) DDR400 PC-3200
250GB Seagate
Kingwin KF-91-BK SATA Mobile Rack
Kingwin KF-91-T-BK SATA Mobile Rack Tray
Sony CD/DVD-RW DWQ120AB2
Comment 7 Jüri Ivask 2014-04-28 10:28:33 CEST
Real hardware; Mageia 4; i586

Upgraded kernel-server from /updates/testing

$ uname -a
$ Linux localhost 3.12.18-server-1.mga4 #1 SMP Thu Apr 24 13:47:31 UTC 2014 i686 i686 i686 GNU/Linux

kernel-server boots to a working desktop; no regressions found

Platform: Lenovo Thinkpad X200 4GB RAM
http://www.thinkwiki.org/wiki/Category:X200
Comment 8 David Walser 2014-04-28 23:41:32 CEST
I am running kernel-server 3.12.18 on our big Squid server at work.  The console display is still broken (Bug 13098), but it seems to work otherwise.

Dell PowerEdge R610
Intel Xeon X5670, 2 6-core CPUs with hyperthreading
Intel ICH9 chipset
Matrox G200eW WPCM450
Comment 9 Shlomi Fish 2014-04-29 15:59:25 CEST
I booted the new kernel - kernel-desktop-latest-3.12.18-1.mga4 and everything seems fine: X, KDE (+ desktop effects), Extreme Tux Racer, VLC (sound+video), mplayer (sound+video), Firefox, IRC (HexChat), Samba, Wifi, etc.

My computer is:


I also have an Acer Aspire 5738DZG laptop with the following specs:

    Intel Pentium(R) Dual-Core CPU T4300 @ 2.10GHz. (x86-64).
    ATI Mobility Radeon™ HD 4570 (r700)
    15.6״ 3D HD LCD Screen.
    3 GB Memory
    320 GB Hard Disk Drive.
    “DVD Super Multi DL drive”
    Acer Nplify™ 802.11b/g/n
Comment 10 Lewis Smith 2014-04-29 18:21:14 CEST
Testing MGA4 64-bit real hardware with ATI/Radeon graphics

3.12.18-desktop-1.mga4
Seems OK with no complications. But only this & cpupower were included from the long list of packages.
Comment 11 Lewis Smith 2014-05-01 20:04:53 CEST
(In reply to Lewis Smith from comment #10)
> Testing MGA4 64-bit real hardware with ATI/Radeon graphics
> 3.12.18-desktop-1.mga4
Problem.
SWAP is not functioning. Whether this is new to 3.12.18 (after 3.12.13) I know not; with 4Gb RAM, SWAP is never used. I just noticed it for these kernel tests:
- Esc to see the startup console O/P shows up "FAIL to activate swap on /dev/sda7".
- dmesg includes "Adding swap on /dev/sda7"; but not the error msg above.
- No swap entry in mount O/P.
- swapon -s shows /dev/sda7 but Used = 0.
This happens also with kernels desktop-tmb and rt.
Comment 12 David Walser 2014-05-01 20:22:53 CEST
I see swap usage at 0 on our server with this kernel too, but that's also the case on my desktop with Mageia 3.  Both machines have 16GB of RAM, so I don't think this is unusual.
Comment 13 Thomas Backlund 2014-05-01 20:44:02 CEST
"FAIL to activate swap on /dev/sda7"

- this seems to indicate /dev/sda7 is not available yet when first mount is tried

"dmesg includes "Adding swap on /dev/sda7""

- here swap is found and mounted properly

"swapon -s shows /dev/sda7 but Used = 0."

- this confirms swap space is active, but not needed yet)
  (NOTE. This is not Windows where you start using swap even if ram is available)

So no real error, but more of a timing issue when first swap activation is tried,
so it's more a dracut / systemd "issue"
Comment 14 claire robinson 2014-05-07 18:37:42 CEST
Tested these with no problems, confirmed dkms builds are ok, a number of dkms modules currently fail to build on all kernels though. Discussed with tmb on IRC so will be creating bugs for those if none exist tmrw.

Any objections to validating?
Comment 15 David GEIGER 2014-05-07 19:01:46 CEST
Hi claire,

Ok for me, no objections to validating.  :)
Comment 16 claire robinson 2014-05-08 17:32:25 CEST
Validating. Advisory uploaded.

Could sysadmin please push to 4 updates

Thanks
Comment 17 Thomas Backlund 2014-05-09 00:02:44 CEST
Update pushed:
http://advisories.mageia.org/MGASA-2014-0206.html
Comment 18 Martin Volf 2014-05-12 07:59:16 CEST
Hi,

thank you for an update. 

As our Mageia user found a bug in cpupower.service on kernel-desktop-3.12.18-1.mga4:

[root@localhost ~]# systemctl status cpupower.service
Redirecting to /bin/systemctl status cpupower.service
cpupower.service - Configure CPU power related settings
   Loaded: loaded (/usr/lib/systemd/system/cpupower.service; enabled)
   Active: failed (Result: exit-code) since Ne 2014-05-11 15:19:54 CEST; 3min 1s ago
  Process: 7022 ExecStart=/usr/bin/cpupower $CPUPOWER_START_OPTS (code=exited, status=237)
 Main PID: 7022 (code=exited, status=237)

kvě 11 15:19:54 localhost cpupower[7022]: Error setting new values. Common errors:
kvě 11 15:19:54 localhost cpupower[7022]: - Do you have proper administration rights? (super-user?)
kvě 11 15:19:54 localhost cpupower[7022]: - Is the governor you requested available and modprobed?
kvě 11 15:19:54 localhost cpupower[7022]: - Trying to set an invalid policy?
kvě 11 15:19:54 localhost cpupower[7022]: - Trying to set a specific frequency, but userspace governor is not available,
kvě 11 15:19:54 localhost cpupower[7022]: for example because of hardware which cannot be set to a specific frequency
kvě 11 15:19:54 localhost cpupower[7022]: or because the userspace governor isn't loaded?
kvě 11 15:19:54 localhost systemd[1]: cpupower.service: main process exited, code=exited, status=237/n/a
kvě 11 15:19:54 localhost systemd[1]: Failed to start Configure CPU power related settings.
kvě 11 15:19:54 localhost systemd[1]: Unit cpupower.service entered failed state.

It seems to be on all Intel CPUs, because on AMD CPU cpupower works well...
On kernel-desktop-3.12.13-2.mga4 all works as well.

How to solve it? Thank you.
Comment 19 Shlomi Fish 2014-05-12 09:16:16 CEST
Hi Martin,

(In reply to Martin Volf from comment #18)
> Hi,
> 
> thank you for an update. 
> 
> As our Mageia user found a bug in cpupower.service on
> kernel-desktop-3.12.18-1.mga4:
> 

I think this should be in a new bug report - not here - because the update was already shipped. For the record, what I get is:

root@lap:~$ systemctl status cpupower.service 
cpupower.service - Configure CPU power related settings
   Loaded: loaded (/usr/lib/systemd/system/cpupower.service; enabled)
   Active: active (exited) since Sun 2014-05-11 08:24:10 IDT; 1 day 1h ago
  Process: 1050 ExecStart=/usr/bin/cpupower $CPUPOWER_START_OPTS (code=exited, status=0/SUCCESS)
 Main PID: 1050 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/cpupower.service

Bus error
root@lap:~$ 

Regards,

-- Shlomi Fish
Comment 20 Thomas Backlund 2014-05-12 10:25:28 CEST
Yes, new bugreport please.

Note You need to log in before you can comment on or make changes to this bug.